<?php

/**
 * the script that includes this file MUST
 * set the $phphtmllib var.  Its used to determine
 * the base path on the filesystem where the php html libs
 * live.
 *
 * $Id: includes.inc,v 1.10.2.1 2005/05/12 01:24:01 hemna Exp $
 *
 * @author Walter A. Boring IV <waboring@newsblob.com>
 * @package phpHtmlLib
 * 
 */

/**
 * include the defines first
 */
include_once( $phphtmllib."/defines.inc");

/**
 * this is the base class of them ALL
 */
include_once( $phphtmllib."/ContainerClass.inc");

/**
 * get the XML tag class
 */
include_once( $phphtmllib."/XMLTagClass.inc");

/**
 * get the parent tag class
 */
include_once($phphtmllib."/HTMLTagClass.inc");

/**
 * now get all of the supported tag.
 */
include_once($phphtmllib."/tag_classes/includes.inc");

/**
 * lets get all of the tag utility functions.
 */
include_once($phphtmllib."/tag_utils/includes.inc");

/**
 * lets get all of the widget classes
 * that are based on the tag classes and 
 * tag util functions
 */
include_once($phphtmllib."/widgets/includes.inc");

/**
 * Get the version #string and the version functions
 */
include_once($phphtmllib."/version.inc");

?>
